require "phi"
str = "2003/1/1"
p Phi::DateTime.new(str) # ← StrToDateTime 版ではこれだけがOK

str = "2003-2-1"
p Phi::DateTime.new(str)

str = "2003年3月1日"
p Phi::DateTime.new(str)

str = "２００３年４月１日"
p Phi::DateTime.new(str)

str = "平成１５年５月１日"
p Phi::DateTime.new(str)

str = "平成一五年六月一日"
p Phi::DateTime.new(str)
  #=> String型から Date 型へのバリアント型変換はできません  
